#include <p16f690.inc>
	GLOBAL ADC_Config,ADC_Read,ADC_AN0,ADC_AN1,ADC_AN2
ADC_DATA UDATA
ADC_AN0 RES 1
ADC_AN1 RES 1
ADC_AN2 RES 1
ADC_ReadIndex RES 1
;
ADC_SECTION0 CODE	
ADC_Config
;
	BANKSEL ADC_ReadIndex
	CLRF	ADC_ReadIndex
;
	BANKSEL ADCON0
	;bit 7 ADFM: A/D Conversion Result Format Select bit
		;1 = Right justified
		;0 = Left justified
	BCF ADCON0,ADFM
	;bit 6 VCFG: Voltage Reference bit
		;1 = VREF pin
		;0 = VDD
	BCF ADCON0,VCFG
	;bit 5-2 CHS<3:0>: Analog Channel Select bits
		;0000 = AN0
		;0001 = AN1
		;0010 = AN2
		;0011 = AN3
		;0100 = AN4
		;0101 = AN5
		;0110 = AN6
		;0111 = AN7
		;1000 = AN8
		;1001 = AN9
		;1010 = AN10
		;1011 = AN11
		;1100 = CVREF
		;1101 = 0.6V Fixed Voltage Reference
		;1110 = Reserved. Do not use.
		;1111 = Reserved. Do not use.
	BCF ADCON0,CHS3
	BCF ADCON0,CHS2
	BCF ADCON0,CHS1
	BCF ADCON0,CHS0
	;bit 0 ADON: ADC Enable bit
		;1 = ADC is enabled
		;0 = ADC is disabled and consumes no operating current
	BSF ADCON0,ADON

	BANKSEL ADCON1
	;bit 7 Unimplemented: Read as 0
	;bit 6-4 ADCS<2:0>: A/D Conversion Clock Select bits
		;ADC Clock Source	ADCS<2:0>	20MHz	8MHz	4MHz	1MHz
		;FOSC/2 			000 		100ns	250ns	500ns	2s*
		;FOSC/4				100			200ns	500ns	1s		4s*
		;FOSC/8				001			400ns	1s		2s*	8s
		;FOSC/16			101			800ns	2s*	4s*	16s
		;FOSC/32			010			1.6s*	4s*	8s		32s
		;FOSC/64			110			3.2s*	8s		16s	64s
		;FRC 				x11 		2-6s*	2-6s*	2-6s*	2-6s*
		;*starred elements are within acceptable range.
	BCF ADCON1,ADCS2
	BSF ADCON1,ADCS1
	BCF ADCON1,ADCS0
	;bit 3-0 Unimplemented: Read as 0

	BANKSEL ANSEL
	BSF ANSEL,ANS0
	BSF ANSEL,ANS1
	BSF ANSEL,ANS2
	BCF ANSEL,ANS3
	BCF ANSEL,ANS4
	BCF ANSEL,ANS5
	BCF ANSEL,ANS6
	BCF ANSEL,ANS7

	BANKSEL ANSELH
	BCF ANSELH,ANS8
	BCF ANSELH,ANS9
	BCF ANSELH,ANS10
	BCF ANSELH,ANS11

	RETURN
;*****************************************************
ADC_Read
ADC_ReadAN0
	MOVLW	0
	BANKSEL	ADC_ReadIndex
	XORWF	ADC_ReadIndex,W
	BTFSS	STATUS, Z
	GOTO 	ADC_ReadAN1
	BANKSEL ADRESH
	MOVF 	ADRESH,W
	BANKSEL ADC_AN0
	MOVWF	ADC_AN0
	;
	BANKSEL ADCON0
	BCF ADCON0,CHS3
	BCF ADCON0,CHS2
	BCF ADCON0,CHS1
	BSF ADCON0,CHS0
	;
	BANKSEL ADC_ReadIndex
	INCF	ADC_ReadIndex,F
	GOTO 	ADC_EndRead
ADC_ReadAN1
	MOVLW	1
	BANKSEL	ADC_ReadIndex
	XORWF	ADC_ReadIndex,W
	BTFSS	STATUS, Z
	GOTO 	ADC_ReadAN2
	BANKSEL ADRESH
	MOVF 	ADRESH,W
	BANKSEL ADC_AN1
	MOVWF	ADC_AN1
	;
	BANKSEL ADCON0
	BCF ADCON0,CHS3
	BCF ADCON0,CHS2
	BSF ADCON0,CHS1
	BCF ADCON0,CHS0
	;
	BANKSEL ADC_ReadIndex
	INCF	ADC_ReadIndex,F
	GOTO 	ADC_EndRead
ADC_ReadAN2
	MOVLW	2
	BANKSEL	ADC_ReadIndex
	XORWF	ADC_ReadIndex,W
	BTFSS	STATUS, Z
	GOTO ADC_ReadOverflow
	BANKSEL ADRESH
	MOVF 	ADRESH,W
	BANKSEL ADC_AN2
	MOVWF	ADC_AN2
	;
	BANKSEL ADCON0
	BCF ADCON0,CHS3
	BCF ADCON0,CHS2
	BCF ADCON0,CHS1
	BCF ADCON0,CHS0
ADC_ReadOverflow
	BANKSEL ADC_ReadIndex
	CLRF	ADC_ReadIndex
	GOTO 	ADC_EndRead
ADC_EndRead
	RETURN
	END