#include <p16f690.inc>
	GLOBAL INT_Config,INT_CheckBits
;

INT_SECTION0 CODE
INT_Config
;
	;Select bank which holds OPTION register
	BANKSEL OPTION_REG
	;Set internal bits
	BSF OPTION_REG, INTEDG	;b6 Interrupt Edge Select Bit (0=Falling Edge, 1=Rising Edge of of RA2/INT)
;
	;Select bank which holds INTCON register
	BANKSEL INTCON
	;Set internal bits
	BCF INTCON, RABIE		;b3 PORTA/PORTB Change Interrupt Enable Bit
	BCF INTCON, INTE		;b4 RA2/Int External Interrupt Enable Bit
	BCF INTCON, T0IE		;b5 Timer0 Overflow Interrupt Enable Bit
	BSF INTCON, PEIE		;b6 Peripheral Interrupt Enable Bit
	BSF INTCON, GIE			;b7 Global Interrupt Enable Bit
;
	;Select bank which holds PIE1 register
	BANKSEL PIE1
	;Set internal bits
	BCF PIE1, TMR1IE		;b0 Timer1 Overflow Interrupt Enable Bit
	BCF PIE1, TMR2IE		;b1 Timer2 to PR2 Match Interrupt Enable Bit
	BCF PIE1, CCP1IE		;b2 CCP1 Interrupt Enable Bit
	BSF PIE1, SSPIE			;b3 SSPIE Synchronous Serial Port Interrupt Enable Bit
	BCF PIE1, TXIE			;b4 EUSART Transmit Interrupt Enable Bit
	BCF PIE1, RCIE			;b5 EUSART Receive Interrupt Enable Bit
	BCF PIE1, ADIE			;b6 A/D Converter Interrupt Enable Bit
;
	;Select bank which holds PIE2 register
	BANKSEL PIE2
	;Set internal bits
	BCF PIE2, EEIE			;b4 EE Write Operation Interrupt Enable Bit
	BCF PIE2, C1IE			;b5 Comparator C1 Interrupt Enable bit
	BCF PIE2, C2IE			;b6 Comparator C2 Interrupt Enable Bit
	BCF PIE2, OSFIE			;b7 Oscillator Fail Interrupt Enable Bit
;
	RETURN
;
INT_SECTION1 CODE
INT_CheckBits
;
	;Select bank which holds INTCON register
	;BANKSEL INTCON
	;Check internal bits
	;PAGESEL _RABIF
	;BTFSC INTCON, RABIF		;b0 PORTA/PORTB Change Interrupt Flag Bit
	;GOTO _RABIF
	;PAGESEL _INTF
	;BTFSC INTCON, INTF		;b1 RA2/Int External Interrupt Flag Bit
	;GOTO _INTF
	;PAGESEL _T0IF
	;BTFSC INTCON, T0IF		;b2 Timer0 Overflow Interrupt Flag Bit	
	;GOTO _T0IF
;
	;Select bank which holds PIR1 register
	BANKSEL PIR1
	;PAGESEL _TMR1IF
	;BTFSC PIR1, TMR1IF		;b0 Timer1 Overflow Interrupt Flag Bit
	;GOTO _TMR1IF
	;PAGESEL _TMR2IF
	;BTFSC PIR1, TMR2IF		;b1 Timer2 to PR2 Match Interrupt Flag Bit
	;GOTO _TMR2IF
	;PAGESEL _CCP1IF
	;BTFSC PIR1, CCP1IF		;b2 CCP1 Interrupt Flag Bit
	;GOTO _CCP1IF
	PAGESEL _SSPIF
	BTFSC PIR1, SSPIF		;b3 SSPIE Synchronous Serial Port Interrupt Flag Bit
	GOTO _SSPIF
	;PAGESEL _TXIF
	;BTFSC PIR1, TXIF		;b4 EUSART Transmit Interrupt Flag Bit
	;GOTO _TXIF
	;PAGESEL _RCIF
	;BTFSC PIR1, RCIF		;b5 EUSART Receive Interrupt Flag Bit
	;GOTO _RCIF
	;PAGESEL _ADIF
	;BTFSC PIR1, ADIF		;b6 A/D Converter Interrupt Flag Bit
	;GOTO _ADIF
;	
	;Select bank which holds PIR2 register
	;BANKSEL PIR2
	;Set internal bits
	;PAGESEL _EEIF
	;BTFSC PIR2, EEIF		;b4 EE Write Operation Interrupt Flag Bit
	;GOTO _EEIF
	;PAGESEL _C1IF
	;BTFSC PIR2, C1IF		;b5 Comparator C1 Interrupt Flag bit
	;GOTO _C1IF
	;PAGESEL _C2IF
	;BTFSC PIR2, C2IF		;b6 Comparator C2 Interrupt Flag Bit
	;GOTO _C2IF
	;PAGESEL _OSFIF
	;BTFSC PIR2, OSFIF		;b7 Oscillator Fail Interrupt Flag Bit
	;GOTO _OSFIF
;
	RETURN
;
;_RABIF		;b0 PORTA/PORTB Change Interrupt Flag Bit
	;BANKSEL INTCON
	;BCF INTCON, RABIF		;b0 PORTA/PORTB Change Interrupt Flag Bit
	;RETURN
;
;_INTF		;b1 RA2/Int External Interrupt Flag Bit
	;BANKSEL INTCON
	;BCF INTCON, INTF		;b1 RA2/Int External Interrupt Flag Bit
	;RETURN
;
;_T0IF		;b2 Timer0 Overflow Interrupt Flag Bit	
	;BANKSEL INTCON
	;BCF INTCON, T0IF		;b2 Timer0 Overflow Interrupt Flag Bit	
	;RETURN
;
;_TMR1IF		;b0 Timer1 Overflow Interrupt Flag Bit
	;BANKSEL PIR1
	;BCF PIR1, TMR1IF		;b0 Timer1 Overflow Interrupt Flag Bit
	;RETURN
;
;_TMR2IF		;b1 Timer2 to PR2 Match Interrupt Flag Bit
	;BANKSEL PIR1
	;BCF PIR1, TMR2IF		;b1 Timer2 to PR2 Match Interrupt Flag Bit
	;RETURN
;
;_CCP1IF		;b2 CCP1 Interrupt Flag Bit
	;BANKSEL PIR1
	;BCF PIR1, CCP1IF		;b2 CCP1 Interrupt Flag Bit
	;RETURN
;
_SSPIF			;b3 SSPIE Synchronous Serial Port Interrupt Flag Bit

	BANKSEL PIR1
	BCF PIR1, SSPIF			;b3 SSPIE Synchronous Serial Port Interrupt Flag Bit
	BANKSEL	SSPSTAT
	MOVF	SSPSTAT, W
	BANKSEL SSPBUF
	MOVF	SSPBUF, W
	MOVLW	.128
    BANKSEL CCPR1L
    MOVWF   CCPR1L

	RETURN
;
;_TXIF			;b4 EUSART Transmit Interrupt Flag Bit
	;BANKSEL PIR1
	;BCF PIR1, TXIF			;b4 EUSART Transmit Interrupt Flag Bit
	;RETURN
;
;_RCIF			;b5 EUSART Receive Interrupt Flag Bit
	;BANKSEL PIR1
	;BCF PIR1, RCIF			;b5 EUSART Receive Interrupt Flag Bit
	;RETURN
;
;_ADIF			;b6 A/D Converter Interrupt Flag Bit
	;BANKSEL PIR1
	;BCF PIR1, ADIF			;b6 A/D Converter Interrupt Flag Bit
	;RETURN
;
;_EEIF			;b4 EE Write Operation Interrupt Flag Bit
	;BANKSEL PIR2
	;BCF PIR2, EEIF			;b4 EE Write Operation Interrupt Flag Bit
	;RETURN
;
;_C1IF			;b5 Comparator C1 Interrupt Flag bit
	;BANKSEL PIR2
	;BCF PIR2, C1IF			;b5 Comparator C1 Interrupt Flag bit
	;RETURN
;
;_C2IF			;b6 Comparator C2 Interrupt Flag Bit
	;BANKSEL PIR2
	;BCF PIR2, C2IF			;b6 Comparator C2 Interrupt Flag Bit
	;RETURN
;
;_OSFIF			;b7 Oscillator Fail Interrupt Flag Bit
	;BANKSEL PIR2
	;BCF PIR2, OSFIF			;b7 Oscillator Fail Interrupt Flag Bit
	;RETURN
;
	END