#include <p16f690.inc>
	__CONFIG( _FCMEN_OFF & _IESO_OFF & _BOR_ON & _BOR_OFF & _CPD_OFF & _CP_OFF & _MCLRE_OFF & _PWRTE_OFF & _WDT_OFF & _INTOSCIO)
	EXTERN INT_Config,INT_CheckBits
	EXTERN ADC_Config
	EXTERN DIO_Config
	EXTERN SSP_Config
	EXTERN PWM_Config
	EXTERN INT_Config
	EXTERN SSP_Config
	EXTERN	TMR2_Config



;
;Define variables
TempW equ 0x70
TempStatus equ 0x71
TempPCLATH equ 0x72
;
;Define Main program start position
RST CODE 0x00
	PAGESEL MainProgram
	GOTO MainProgram
;
;Define Interrupt start position
INTVEC CODE 0x04
	NOP
;Interrupt service routine
ISR CODE 0x05
InterruptServiceRoutine
	;Copy W to Temporary Register
	MOVWF TempW
	;Swap STATUS nibbles into W
	SWAPF STATUS,W
	;Move W to TempStatus
	MOVWF TempStatus
	MOVF  PCLATH,W
	MOVWF TempPCLATH
;
	PAGESEL INT_CheckBits
	CALL INT_CheckBits
;
	MOVF TempPCLATH,W
	MOVWF PCLATH
	;Swap original STATUS into W
	SWAPF TempStatus,W
	;Restore STATUS from W
	MOVWF STATUS
	;Swap TempW nibbles and return to TempW
	SWAPF TempW,F
	;Swap TempW nibbles to W
	SWAPF TempW,W
	RETFIE
;
;Main program code
PGMAIN CODE
MainProgram

	PAGESEL ADC_Config
	CALL	ADC_Config
	;
	PAGESEL DIO_Config
	CALL	DIO_Config
	;
	PAGESEL PWM_Config
	CALL	PWM_Config
	;
	PAGESEL INT_Config
	CALL	INT_Config
	;
	PAGESEL	SSP_Config
	CALL	SSP_Config

	PAGESEL	TMR2_Config
	CALL	TMR2_Config
	;
done GOTO done
	END