#include 	"p16f690.inc"
	GLOBAL TMR1_Config
TMR1_SECTION1 CODE
TMR1_Config
;
	BANKSEL T1CON
;
	;T1GINV: Timer1 Gate Invert bit(1)
	;1 = Timer1 gate is inverted
	;0 = Timer1 gate is not inverted
	BCF T1CON, T1GINV
;
	;TMR1GE: Timer1 Gate Enable bit(2)
	;If TMR1ON = 0, this bit is ignored
	;If TMR1ON = 1:
	;1 = Timer1 is on if Timer1 gate is not active
	;0 = Timer1 is on
	BCF T1CON, TMR1GE
;
	;T1CKPS<1:0>: Timer1 Input Clock Prescale Select bits
	;11 = 1:8 Prescale Value
	;10 = 1:4 Prescale Value
	;01 = 1:2 Prescale Value
	;00 = 1:1 Prescale Value
	BCF T1CON, T1CKPS1
	BCF T1CON, T1CKPS0
;
	;T1OSCEN: LP Oscillator Enable Control bit
	;If INTOSC without CLKOUT oscillator is active:
	;1 = LP oscillator is enabled for Timer1 clock
	;0 = LP oscillator is off
	;Else: This bit is ignored
	BCF T1CON, T1OSCEN
;
	;T1SYNC: Timer1 External Clock Input Synchronization Control bit
	;TMR1CS = 1:
	;1 = Do not synchronize external clock input
	;0 = Synchronize external clock input
	;TMR1CS = 0:
	;This bit is ignored. Timer1 uses the internal clock.
	BCF T1CON, 2
;
	;TMR1CS: Timer1 Clock Source Select bit
	;1 = External clock from T1CKI pin (on the rising edge)
	;0 = Internal clock (FOSC/4)
	BCF T1CON, TMR1CS
;
	;TMR1ON: Timer1 On bit
	;1 = Enables Timer1
	;0 = Stops Timer1
	BCF T1CON, TMR1ON
;
;
	RETURN
;
	END